using System;

internal sealed class Delegate502 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate502 delegate502_1)
	{
		return delegate502_1(object_0);
	}

	public extern Delegate502(object object_0, IntPtr intptr_0);

	static Delegate502()
	{
		Class10.smethod_13(typeof(Delegate502).TypeHandle);
	}

	internal static Delegate502 delegate502_0;
}
